html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
    background-color: #000;
}

.parent-container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #000;
}

.header, .footer {
    height: 15%;
    width: 100%;
    background-color: #000;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: center;
}

.middle {
    flex-grow: 1;
    width: 100%;
    background-color: #000;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: flex-start;
    box-sizing: border-box;
}

.hfill {
    flex: 1 1 auto;
    width: 100%;
    min-height: 0;
    height: auto;
    background-color: #000000;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.wfill {
    flex: 1 1 auto;
    height: 100%;
    min-width: 0;
    width: auto;
    background-color: #000000;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.logo {
    height: 80%;
    width: 30%;
    background: url('Logo.png') no-repeat center center / 100% 100%;
}

.widget {
    color: white;
    width: 5%;
    height:; 50%;
}
.currentTemp {
    width: 50%;
    color: white;
}